GNU bug report logs - #55738
character escape bugs in the reader

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mattias Engdegård <mattiase@HIDDEN>; dated Tue, 31 May 2022 11:34:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 29.1. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 18 Jun 2022 09:34:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 05:34:31 2022
Received: from localhost ([127.0.0.1]:47538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2Uqd-0004jJ-MP
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 05:34:31 -0400
Received: from mail1453c50.megamailservers.eu ([91.136.14.53]:40080
 helo=mail266c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1o2Uqb-0004is-S9
 for 55738 <at> debbugs.gnu.org; Sat, 18 Jun 2022 05:34:31 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1655544862;
 bh=el3MLVIYmo0O3jsgIx1C/CBfbD9txG7DbVmASsmu+IA=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=geYJQL/vedMwEDSo9hr01+tH4I0XMHZXrlsGg1nP9FQKQl+BUZBZjS1dD8pxcgapJ
 j0OHFOGFVdN/LWTGpmTb837ikv9uHyiFf9KclZeOtuZpxmKB9KVzCkkOCjaZcnWJdX
 vFW53xd9GBh+nd1B3Jre21e34Gf6KqFvQ5ql7zLY=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail266c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 25I9YK7e106173; 
 Sat, 18 Jun 2022 09:34:21 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#55738: character escape bugs in the reader
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <CADwFkmk_ZH6grZvYzyMd8FpZ8WD0jh6AdYz+E1ZYB00Ac9xpqQ@HIDDEN>
Date: Sat, 18 Jun 2022 11:34:19 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <1449946C-9942-4F99-A947-757EC3FD0CFF@HIDDEN>
References: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
 <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN> <87mtew4i08.fsf@HIDDEN>
 <8A9AFCCC-4DC2-4ED4-B553-C1C26A68BA01@HIDDEN> <87o7zc155h.fsf@HIDDEN>
 <D1EC242E-223D-4376-9DF8-5E69E71DF0A8@HIDDEN> <87h75414co.fsf@HIDDEN>
 <D66D2458-3C55-4D49-B687-059A9FEDAC13@HIDDEN>
 <CADwFkmk_ZH6grZvYzyMd8FpZ8WD0jh6AdYz+E1ZYB00Ac9xpqQ@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A782F20.62AD9C1E.0080, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 18 juni 2022 kl. 08.54 skrev Stefan Kangas
 <stefankangas@HIDDEN>:
 > I don't know what other style you have in mind, but feel free to fix >
 this to use a better style, if possible. Done, thank you for the reminder.
 Ideally we should try to do away with the old TTY-centric coupling between
 Control-m, RET, 13, and the <return> key (etc) but that's for another day.
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 55738
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>, 55738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

18 juni 2022 kl. 08.54 skrev Stefan Kangas <stefankangas@HIDDEN>:

> I don't know what other style you have in mind, but feel free to fix
> this to use a better style, if possible.

Done, thank you for the reminder. Ideally we should try to do away with =
the old TTY-centric coupling between Control-m, RET, 13, and the =
<return> key (etc) but that's for another day.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 18 Jun 2022 06:55:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 02:55:06 2022
Received: from localhost ([127.0.0.1]:47435 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2SMM-0000pg-Ak
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 02:55:06 -0400
Received: from mail-pl1-f182.google.com ([209.85.214.182]:33748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1o2SMK-0000oj-Pm
 for 55738 <at> debbugs.gnu.org; Sat, 18 Jun 2022 02:55:05 -0400
Received: by mail-pl1-f182.google.com with SMTP id y6so5578888plg.0
 for <55738 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 23:55:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=+7n9XBZtGeScWIoTrgs63mq+nZVmH7tWDc+D33zdXf8=;
 b=AnsbBdvnV+iu70+iPCypsZ5EQnQBrOK/2yMn3j8Am/FzEYTSB/wk7QcmqA6Wld6l1C
 spcfhjuE6+Jcw5o37CybT88Ze3pgLeKHhVJDJaWuzVW7sn+szYXbNDrEyWF7XvmMV7GX
 fALCqZCFlnuDuKdkB8d+tra7WuuykNLOgYSPi1coBEH7jszPcniWEwejr/8ef/Tkwlg4
 s2Rfubodp+jPzqazdlyKhywJ8GaX0UxWiteWQm4sPJOPIbqoWocQOdLlq9KTht74nIcL
 Ht5fbLagCtaKegVzHVrQzk09KNqec1kVbDM30Vrh4js6UxfLvDQv/PZ2kLsbHhjkZKmT
 ckMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=+7n9XBZtGeScWIoTrgs63mq+nZVmH7tWDc+D33zdXf8=;
 b=TxdK42Asg3/YakAtROS5i4M43pfn4fCmMgXzJWW30tpnXKafEHTp1rw7Cd0Dy30vC0
 Etf7EuwTJOjuvBze85vUv+MB2rQ1EGrmOBqlQ17sk6bYlUcYkTqxg/+rLlvWW+3TeVlA
 ihjtnjwMpaMGySfXY36KfJUzmYFyycT2kTyemeKU5+BBGcCumg6000gRAXEv7LIxgJkj
 uTtzp+zfml5TbS0OpqxW5TFbrCOMWgk3Liq9hpsGSAawT1s7Jih1DbDhW2bzF+3THPCd
 m/ScNyQSUwIXd4Z6kL2pMNZNuu5Bq4WwMhTu6gqQuV3NqRdq3Y4ySso/OrRASWtUwf9C
 GLgw==
X-Gm-Message-State: AJIora8L2NQvfoW6kXfHoIwizPDEmYgtwuAor8qBVptQ1Ujfqmi+IpBB
 UB++ttC414NG9ekkZvzZcLvATfuZN1+toUvX6Kw=
X-Google-Smtp-Source: AGRyM1uV1icgpFhQb+Cm/3p1wjTJEaYPkFz6e2Tn7LONjODmfJB9amMeUtYYEMmfQsWtSV1fg4Vqx4GdXIOASoOKxeg=
X-Received: by 2002:a17:902:cec2:b0:166:4e45:e1b2 with SMTP id
 d2-20020a170902cec200b001664e45e1b2mr13453339plg.73.1655535298838; Fri, 17
 Jun 2022 23:54:58 -0700 (PDT)
MIME-Version: 1.0
References: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
 <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN>
 <87mtew4i08.fsf@HIDDEN> <8A9AFCCC-4DC2-4ED4-B553-C1C26A68BA01@HIDDEN>
 <87o7zc155h.fsf@HIDDEN> <D1EC242E-223D-4376-9DF8-5E69E71DF0A8@HIDDEN>
 <87h75414co.fsf@HIDDEN> <D66D2458-3C55-4D49-B687-059A9FEDAC13@HIDDEN>
In-Reply-To: <D66D2458-3C55-4D49-B687-059A9FEDAC13@HIDDEN>
From: Stefan Kangas <stefankangas@HIDDEN>
Date: Sat, 18 Jun 2022 08:54:47 +0200
Message-ID: <CADwFkmk_ZH6grZvYzyMd8FpZ8WD0jh6AdYz+E1ZYB00Ac9xpqQ@HIDDEN>
Subject: Re: bug#55738: character escape bugs in the reader
To: =?UTF-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55738
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>, 55738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

>   (should (equal (kbd "C-RET") [?\C-\C-m]))
>
> and while these are debatable in style [...]

I don't know what other style you have in mind, but feel free to fix
this to use a better style, if possible.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 3 Jun 2022 11:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 03 07:07:23 2022
Received: from localhost ([127.0.0.1]:55405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nx59H-0005a1-4j
	for submit <at> debbugs.gnu.org; Fri, 03 Jun 2022 07:07:23 -0400
Received: from mail1447c50.megamailservers.eu ([91.136.14.47]:49872
 helo=mail265c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nx59E-0005Zi-5i
 for 55738 <at> debbugs.gnu.org; Fri, 03 Jun 2022 07:07:21 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1654254432;
 bh=U2Sx5JCZ9m0nr3dA6DtZNdiWkCfEBuIZ89VDtEEo2Ec=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=cdTT/XkvjQ5sVpfY94BXO480gTLpC0MRvS6022so/wBp5+eVfwkufsgGmsP4cq2nr
 pYVR0MMEw8jGJSBkLtmNa1a3kFLADY+WssbvGyRqsrvE417G0QIMwDG9bMzRrQETN/
 kNBuGfcibn+TiC6V2i9LMj3IwjLcI16i7y0NtIcI=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail265c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 253B79s3016651; 
 Fri, 3 Jun 2022 11:07:11 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#55738: character escape bugs in the reader
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <D66D2458-3C55-4D49-B687-059A9FEDAC13@HIDDEN>
Date: Fri, 3 Jun 2022 13:07:08 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <7E3C8783-7A79-4E50-B8EC-8B431BD3D975@HIDDEN>
References: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
 <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN> <87mtew4i08.fsf@HIDDEN>
 <8A9AFCCC-4DC2-4ED4-B553-C1C26A68BA01@HIDDEN> <87o7zc155h.fsf@HIDDEN>
 <D1EC242E-223D-4376-9DF8-5E69E71DF0A8@HIDDEN> <87h75414co.fsf@HIDDEN>
 <D66D2458-3C55-4D49-B687-059A9FEDAC13@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F1B.6299EB60.0040, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Thus I'm scaling back ambitions a bit and have committed
 a much-reduced patch that just deals with the ?\LF part. ?\LF now signals
 an error because it's practically always a mistake;
 see https://lists.gnu.org/archive/html/emacs-devel/2022-06/msg00140.html
 for some context. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 55738
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Stefan Kangas <stefankangas@HIDDEN>,
 55738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> Thus I'm scaling back ambitions a bit and have committed a =
much-reduced patch that just deals with the ?\LF part.

?\LF now signals an error because it's practically always a mistake; see =
https://lists.gnu.org/archive/html/emacs-devel/2022-06/msg00140.html for =
some context.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 2 Jun 2022 15:12:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 11:12:29 2022
Received: from localhost ([127.0.0.1]:54401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwmUv-0004FD-8z
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2022 11:12:29 -0400
Received: from mail151c50.megamailservers.eu ([91.136.10.161]:57904
 helo=mail50c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nwmUt-0004Ey-1T
 for 55738 <at> debbugs.gnu.org; Thu, 02 Jun 2022 11:12:28 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1654182745;
 bh=5ihDt58xQrZH5FJNcezcUEiKcwOSVjinE91YJKS6we4=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=r7fYNKnYCuvY9pn9FsWh/a2zfAvQJ0iUe5+ywnHALMSldO3+y64qVqkumLvMKZpuw
 HPNkWpOq28+0XQE7cJJ7mX3LncGyz57VbDRIXNxJtgpz5ruykz1rn5DI+OYc7lJokC
 X1aTpm8DPP227BTgW7Ue2ERCKYeioHIQfTsAE44Q=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail50c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 252FCMR2019757; 
 Thu, 2 Jun 2022 15:12:24 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#55738: character escape bugs in the reader
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <87h75414co.fsf@HIDDEN>
Date: Thu, 2 Jun 2022 17:12:22 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <D66D2458-3C55-4D49-B687-059A9FEDAC13@HIDDEN>
References: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
 <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN> <87mtew4i08.fsf@HIDDEN>
 <8A9AFCCC-4DC2-4ED4-B553-C1C26A68BA01@HIDDEN> <87o7zc155h.fsf@HIDDEN>
 <D1EC242E-223D-4376-9DF8-5E69E71DF0A8@HIDDEN> <87h75414co.fsf@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F1E.6298D359.0014, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Looks like there is code like (setq bits (+ bits ?\C-\^@))
 where the author wanted just the 'control' bit, and even 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 55738
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Stefan Kangas <stefankangas@HIDDEN>,
 55738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Looks like there is code like

                     (setq bits (+ bits ?\C-\^@))

where the author wanted just the 'control' bit, and even

  (should (equal (kbd "C-RET") [?\C-\C-m]))

and while these are debatable in style (I'd prefer ?C-\0 to produce the =
control bit), the risk of breaking external code is too great.

Thus I'm scaling back ambitions a bit and have committed a much-reduced =
patch that just deals with the ?\LF part.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 1 Jun 2022 21:06:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 17:06:12 2022
Received: from localhost ([127.0.0.1]:52068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwVXf-0002Qy-QY
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2022 17:06:11 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:33777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1nwVXb-0002Qi-Ml
 for 55738 <at> debbugs.gnu.org; Wed, 01 Jun 2022 17:06:09 -0400
Received: by mail-wr1-f52.google.com with SMTP id h5so3987064wrb.0
 for <55738 <at> debbugs.gnu.org>; Wed, 01 Jun 2022 14:06:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=46I2s7dvrnD/pwVOWpu6ANx+KtBzAG24RfZPvVprdo8=;
 b=MoOB8ZCuQUueCUELceO9h3r5bvtmYgJMxTY5BG7uEvHDJwv+mB5lPWaV0qmVaq7TNg
 UY2ZxEvIJOF0Lz2+Pa8nONWi3KbjeM+tCEAiPtuyG58Zt+mbROKYEUh8GCL6HD0Si7UW
 wqWqS0rBSr+McmCfvZVy+KawKCjbI5NyIGOT/vVHXofXODRKeO92rPl/MCH21WRgtlIc
 LDUmtFYeXOCFwh3qZD0R82oR6nNHFadYfKuMFoZh0+xBUwkImLD+5d8pIwVyzrZHkDe3
 kqbfw499CO7k9T0IoT4937FONMRAtN8B3vD7wfOi334fUhoJbzI27ux3zHXTdNTvaKmE
 TFjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=46I2s7dvrnD/pwVOWpu6ANx+KtBzAG24RfZPvVprdo8=;
 b=H7f4rqd/0m7EzD8pQV6R8DhW8l2MpZIIg7wl8lDclceS/4efnIHbgupqRgCTP0akaR
 05CbGxpTmZEcjrxcz9McRLbmF3k9Q5KT+zx+2XdVyHWtkySa+eetQdwzWP/Mq+DZNtf2
 wCEfq9Ze5hSnLzYd39Ttd6qDqh5vGoejKgbWwo5QYKdEnj9LN/+cA6zE6C6KORCk+5eQ
 TN1KL90ZQlk4LT0/S8seIMAlBR6UG7noZPMHGsZwKy01TO8kZouY2Zp9lKRsd0XqZPHc
 Aqxj09LrM33lkRwDqUVnI1EePSfVoRZ/4YFebLCAwco50OOfID8NxgvsoJ6CEtdTucfV
 yHKw==
X-Gm-Message-State: AOAM533ULuUiZsB01ghBnnWTaioudwTBkFDRXLg6vyLw0Tqw3SzhHfDe
 sh/HJ3Z/6ZzIRCYB9vf+uSvCtg==
X-Google-Smtp-Source: ABdhPJy+tGM1ekKO6pxb7lHBFxx3asdTJTu7uAwqlB2yFafjDD60qXxK7kbZl8Y+rkAk18UAlGXHaA==
X-Received: by 2002:adf:ea4d:0:b0:211:8004:f210 with SMTP id
 j13-20020adfea4d000000b002118004f210mr980886wrn.709.1654117561866; 
 Wed, 01 Jun 2022 14:06:01 -0700 (PDT)
Received: from localhost ([2a02:587:3216:d0ea:8f2b:6e45:a8b7:3d13])
 by smtp.gmail.com with ESMTPSA id
 t22-20020a05600c41d600b00397550b387bsm3743780wmh.23.2022.06.01.14.06.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 01 Jun 2022 14:06:01 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#55738: character escape bugs in the reader
References: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
 <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN>
 <87mtew4i08.fsf@HIDDEN>
 <8A9AFCCC-4DC2-4ED4-B553-C1C26A68BA01@HIDDEN> <87o7zc155h.fsf@HIDDEN>
 <D1EC242E-223D-4376-9DF8-5E69E71DF0A8@HIDDEN>
Date: Thu, 02 Jun 2022 00:05:59 +0300
In-Reply-To: <D1EC242E-223D-4376-9DF8-5E69E71DF0A8@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Wed, 1 Jun 2022 22:53:36
 +0200")
Message-ID: <87h75414co.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55738
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 55738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mattias Engdeg=C3=A5rd [2022-06-01 22:53 +0200] wrote:

> Reverted for now. Sorry!

No worries, thanks for working on this!

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 1 Jun 2022 20:53:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 16:53:48 2022
Received: from localhost ([127.0.0.1]:52056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwVLg-00024k-Ck
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2022 16:53:48 -0400
Received: from mail1442c50.megamailservers.eu ([91.136.14.42]:59652
 helo=mail264c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nwVLe-00024T-3y
 for 55738 <at> debbugs.gnu.org; Wed, 01 Jun 2022 16:53:47 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1654116819;
 bh=W8LkB3D1/xfsenpO1kAtT3Yx4u+bduooXGsrIYypkFo=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=QAiWIItSCR10zyKWbFHTWSxkRi8MfssoymDUUuL0za8jX71ML9L0thFfyjSpbVhmF
 f0PsmdBfjnUWwnyD6Aks4yKmc9HEKGaw2EkKSJGMvMbBqyy46Aq3crc498qUx6rRwN
 zfbyoFDQtN+sZ/pt7Kz4FmV1wSyBTaYuC3UH/p6E=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail264c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 251KrbNi031914; 
 Wed, 1 Jun 2022 20:53:38 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#55738: character escape bugs in the reader
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <87o7zc155h.fsf@HIDDEN>
Date: Wed, 1 Jun 2022 22:53:36 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <D1EC242E-223D-4376-9DF8-5E69E71DF0A8@HIDDEN>
References: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
 <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN> <87mtew4i08.fsf@HIDDEN>
 <8A9AFCCC-4DC2-4ED4-B553-C1C26A68BA01@HIDDEN> <87o7zc155h.fsf@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F26.6297D1D3.0012, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: 1 juni 2022 kl. 22.48 skrev Basil L. Contovounesios
 <contovob@HIDDEN>:
 > Thanks, but I think this patch gave rise to the attached build error. Yes,
 so I found out when trying to bootstrap after having pushed it. (Next time
 I'll do things in the opposite order.) Reverted for now. Sorry! 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 55738
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 55738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

1 juni 2022 kl. 22.48 skrev Basil L. Contovounesios <contovob@HIDDEN>:

> Thanks, but I think this patch gave rise to the attached build error.

Yes, so I found out when trying to bootstrap after having pushed it. =
(Next time I'll do things in the opposite order.)
Reverted for now. Sorry!





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 1 Jun 2022 20:48:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 16:48:54 2022
Received: from localhost ([127.0.0.1]:52050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwVGv-0001wL-Oc
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2022 16:48:53 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:46952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1nwVGt-0001w8-Ag
 for 55738 <at> debbugs.gnu.org; Wed, 01 Jun 2022 16:48:52 -0400
Received: by mail-wr1-f41.google.com with SMTP id d26so3873728wrb.13
 for <55738 <at> debbugs.gnu.org>; Wed, 01 Jun 2022 13:48:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tcd.ie; s=google21;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=RHYzke1bhBDm196emzKQx6mIvb5kMGAYsYcnyUypbAk=;
 b=RDMFLdLLWkWFbTFCvZEBL8HsyckvOgQIOT0QHza57y6B69k0MdBSOzha5ASpqiHqqy
 fvrsyBXFwEKbiryySb+oWD6hGN1AzfCkPJGefKkkDNSq+4dlPIr77j5aZn/jmE7dbR7T
 3uCnvXXiLxBnz41Tot42fcSZe21jnjo3h8XunjsY0L/brZk9pfJD84N8g+JkvKPLzAJr
 WwuI0OqMQ1tJ5Oog9hURvLDekGtHFPuTX+plCnW1TlcbIbNLA8tZQqlCryBbSzQm99S2
 vcWvdyzH9RTcSWpNYa3uwu/XIv5EPbK3gzeyXBAdjsySSZ9ySTaaUf54dtoE1w84jKmM
 FNFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=RHYzke1bhBDm196emzKQx6mIvb5kMGAYsYcnyUypbAk=;
 b=q+ZsOOyhu6mMSXmngstHT+S9eGYwFQO7mP9mdFd+nbPAGHSIUURx/rXv917BDi3qPk
 8bp9DPTJilDSgSlXtIRKs8NcMr0ImcNqtLDzujtWHDHvIyrizmpyUeSR/bZyP9NtC7Ql
 u3h0qgKEbBHBrvgVBYTahJrIkZmitHfBRnLCg1ctMP3N0db4gxmCSzZJqY6tAv2qSmDX
 2twNvmgOYKd7h4HaOekeETLhmtSQ4stTZKRBP0IA9xzrk02pL3Mda3sc2BAHU0o9pPNI
 n7aM3mX75w1mx8X3gO5xmrQG7/lRlSDXLcCcMKEYhkd1szkIXAJXutAk1a2fmhSdFz6Y
 3pYw==
X-Gm-Message-State: AOAM53178bUlnKf/dbgctRJ9vllchE/oygYDSw+K/QOmdY1xf+26UCe2
 ZVyvGg/D6WtpGZhAwTHfQbRlXg==
X-Google-Smtp-Source: ABdhPJwnshNnZvGukeWDBVTYlV8jImXc7ydH9PE6DKAy90pPAhxRfjim8WZn0fcaOLePxq1jSMqf4w==
X-Received: by 2002:a5d:6da2:0:b0:20f:d9b6:fc6 with SMTP id
 u2-20020a5d6da2000000b0020fd9b60fc6mr925346wrs.479.1654116525174; 
 Wed, 01 Jun 2022 13:48:45 -0700 (PDT)
Received: from localhost ([2a02:587:3216:d0ea:8f2b:6e45:a8b7:3d13])
 by smtp.gmail.com with ESMTPSA id
 n22-20020a05600c3b9600b00397342e3830sm9932500wms.0.2022.06.01.13.48.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 01 Jun 2022 13:48:44 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#55738: character escape bugs in the reader
References: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
 <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN>
 <87mtew4i08.fsf@HIDDEN>
 <8A9AFCCC-4DC2-4ED4-B553-C1C26A68BA01@HIDDEN>
Date: Wed, 01 Jun 2022 23:48:42 +0300
In-Reply-To: <8A9AFCCC-4DC2-4ED4-B553-C1C26A68BA01@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Wed, 1 Jun 2022 19:56:46
 +0200")
Message-ID: <87o7zc155h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55738
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 55738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Mattias Engdeg=C3=A5rd [2022-06-01 19:56 +0200] wrote:

> Thank you, now in master.

Thanks, but I think this patch gave rise to the attached build error.

--=20
Basil

$ uname -a
Linux tia 5.17.0-1-amd64 #1 SMP PREEMPT Debian 5.17.3-1 (2022-04-18) x86_64=
 GNU/Linux
$ cat /etc/debian_version=20
bookworm/sid
$ echo $LANG $XMODIFIERS
en_IE.UTF-8 @im=3Dibus
$ gcc-12 --version | head -1
gcc-12 (Debian 12.1.0-2) 12.1.0
$ make --version | head -2
GNU Make 4.3
Built for x86_64-pc-linux-gnu


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=make.txt.gz
Content-Transfer-Encoding: base64
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 1 Jun 2022 17:56:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 13:56:53 2022
Received: from localhost ([127.0.0.1]:51760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwSaT-00018o-0W
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2022 13:56:53 -0400
Received: from mail175c50.megamailservers.eu ([91.136.10.185]:58282
 helo=mail50c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nwSaR-00018a-HU
 for 55738 <at> debbugs.gnu.org; Wed, 01 Jun 2022 13:56:52 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1654106208;
 bh=PP3xWu0Cxj1/K5LpqQWyPWHKb/I66IEr5eu3KehDFks=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=Y3t1vm8O5fTh6vp4vWczxhSJmTFCi3XDrKqPjGfLQQGGob0nKwhWbhZphxsBe8htB
 N8+EeRAOHEq9ozgUpGoV4WnFcFjOYBTJGGKYJkfYvPsZte2XWEeorcsn1fcmPVVFuz
 8mBnGMhM0/qWgcmmmivcYihXi0CnqIH9xRgG3JM0=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail50c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 251HukuA006423; 
 Wed, 1 Jun 2022 17:56:47 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#55738: character escape bugs in the reader
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <87mtew4i08.fsf@HIDDEN>
Date: Wed, 1 Jun 2022 19:56:46 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <8A9AFCCC-4DC2-4ED4-B553-C1C26A68BA01@HIDDEN>
References: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
 <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN> <87mtew4i08.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F1C.6297A860.0055, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 55738
Cc: 55738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

1 juni 2022 kl. 15.42 skrev Lars Ingebrigtsen <larsi@HIDDEN>:

> I think both changes make sense.

Thank you, now in master.

What to do with ?\C-SPC is less clear.  Actually there are no immediate =
plans to do anything about it at all although the behaviour a bit =
incongruent (and undocumented).






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 1 Jun 2022 13:43:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 09:43:06 2022
Received: from localhost ([127.0.0.1]:50059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwOcr-0003hp-NG
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2022 09:43:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:39756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nwOcj-0003h5-12
 for 55738 <at> debbugs.gnu.org; Wed, 01 Jun 2022 09:43:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=od75LMagELQnGnpggzGTj/uQ+a16grwWeIjAJ1O1+08=; b=njb4oRfloz+qboz4FWr8vWzVPu
 wi5Hc0qN+ecv30KBR1UzU2bQrLf2d8WBuK+SlMdk7nMUuVSraQSHTVN1BhZDLG1uIx+jblqVYX57L
 q2OOtV32XnZhJRnbmsAAd8WJyep+dNuKkG+iGNtzIJwympSwAyeS7nuW6jHSAa7Yk0Ns=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nwOca-0006he-99; Wed, 01 Jun 2022 15:42:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#55738: character escape bugs in the reader
References: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
 <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN>
X-Now-Playing: The Names's _Swimming_: "Leave Her To Heaven"
Date: Wed, 01 Jun 2022 15:42:47 +0200
In-Reply-To: <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Wed, 1 Jun 2022 12:00:21
 +0200")
Message-ID: <87mtew4i08.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias Engdegård <mattiase@HIDDEN> writes: > Make the character
    literal ?\LF (linefeed) generate 10, not -1. > > Ensure that Control escape
    sequences in character literals are > idempotent: ?\C-\C-a and ?\^\^a mean
    the same thing as ?\C-a and [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55738
Cc: 55738 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> Make the character literal ?\LF (linefeed) generate 10, not -1.
>
> Ensure that Control escape sequences in character literals are
> idempotent: ?\C-\C-a and ?\^\^a mean the same thing as ?\C-a and ?\^a,
> generating the control character with value 1.  "\C-\C-a" no longer
> signals an error.

I think both changes make sense.

> * src/lread.c (read_escape): Make nonrecursive and only combine
> the base char with modifiers at the end, creating control chars
> if applicable.  Remove the `stringp` argument; assume character
> literal syntax.  Never return -1.
> (read_string_literal): Handle string-specific escape semantics here
> and simplify.

And also sounds good.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at 55738 <at> debbugs.gnu.org:


Received: (at 55738) by debbugs.gnu.org; 1 Jun 2022 10:00:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 01 06:00:30 2022
Received: from localhost ([127.0.0.1]:49765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwL9S-0006wM-5P
	for submit <at> debbugs.gnu.org; Wed, 01 Jun 2022 06:00:30 -0400
Received: from mail176c50.megamailservers.eu ([91.136.10.186]:44318
 helo=mail37c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nwL9O-0006wA-Iw
 for 55738 <at> debbugs.gnu.org; Wed, 01 Jun 2022 06:00:28 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1654077624;
 bh=m0Vcst+2T/jZyV4YTADKiX1UKZQeUN0Xb/wuUDRrzuY=;
 h=From:Subject:Date:To:From;
 b=innBPb63p6TTXbXMj9wQkYlyRoDL47l9TxwxDhdoeKuaAJtkrXcbDCaQUE8ID5ynG
 Bxgxe88wIlUwAuc8HMdIwA7kxDzcTBKe5yb4kO5E4RUET6XBuChnBnKhxIN+BBNeZ+
 316ig9ZhHDHrnGmyqeANxlyEMWcTaC1ukyztRSwo=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail37c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 251A0MQU027869
 for <55738 <at> debbugs.gnu.org>; Wed, 1 Jun 2022 10:00:23 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_B2E9BE98-FFA7-4486-AB62-58F74E38D9E2"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: bug#55738: character escape bugs in the reader
Message-Id: <84CE3A6F-E487-4823-96CB-208C79EB235C@HIDDEN>
Date: Wed, 1 Jun 2022 12:00:21 +0200
To: 55738 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F1F.629738B8.0027, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 55738
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--Apple-Mail=_B2E9BE98-FFA7-4486-AB62-58F74E38D9E2
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

Suggested patch. It does not address the third bug above (\C-SPC).


--Apple-Mail=_B2E9BE98-FFA7-4486-AB62-58F74E38D9E2
Content-Disposition: attachment;
	filename=0001-Fix-reader-char-escape-bugs-bug-55738.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0001-Fix-reader-char-escape-bugs-bug-55738.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=20801c6789d753eb1d94adec95af76e6c28dc27e21=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20=3D?UTF-8?q?Mattias=3D20Engdeg=3DC3=3DA5rd?=3D=20=
<mattiase@HIDDEN>=0ADate:=20Wed,=201=20Jun=202022=2011:39:44=20+0200=0A=
Subject:=20[PATCH]=20Fix=20reader=20char=20escape=20bugs=20(bug#55738)=0A=
=0AMake=20the=20character=20literal=20?\LF=20(linefeed)=20generate=2010,=20=
not=20-1.=0A=0AEnsure=20that=20Control=20escape=20sequences=20in=20=
character=20literals=20are=0Aidempotent:=20?\C-\C-a=20and=20?\^\^a=20=
mean=20the=20same=20thing=20as=20?\C-a=20and=20?\^a,=0Agenerating=20the=20=
control=20character=20with=20value=201.=20=20"\C-\C-a"=20no=20longer=0A=
signals=20an=20error.=0A=0A*=20src/lread.c=20(read_escape):=20Make=20=
nonrecursive=20and=20only=20combine=0Athe=20base=20char=20with=20=
modifiers=20at=20the=20end,=20creating=20control=20chars=0Aif=20=
applicable.=20=20Remove=20the=20`stringp`=20argument;=20assume=20=
character=0Aliteral=20syntax.=20=20Never=20return=20-1.=0A=
(read_string_literal):=20Handle=20string-specific=20escape=20semantics=20=
here=0Aand=20simplify.=0A*=20test/src/lread-tests.el=20(lread-misc-2):=20=
New=20test.=0A---=0A=20src/lread.c=20=20=20=20=20=20=20=20=20=20=20=20=20=
|=20201=20++++++++++++++++++++--------------------=0A=20=
test/src/lread-tests.el=20|=20=2010=20++=0A=202=20files=20changed,=20112=20=
insertions(+),=2099=20deletions(-)=0A=0Adiff=20--git=20a/src/lread.c=20=
b/src/lread.c=0Aindex=20a1045184d9..670413efc0=20100644=0A---=20=
a/src/lread.c=0A+++=20b/src/lread.c=0A@@=20-2631,93=20+2631,88=20@@=20=
character_name_to_code=20(char=20const=20*name,=20ptrdiff_t=20name_len,=0A=
=20enum=20{=20UNICODE_CHARACTER_NAME_LENGTH_BOUND=20=3D=20200=20};=0A=20=0A=
=20/*=20Read=20a=20\-escape=20sequence,=20assuming=20we=20already=20read=20=
the=20`\'.=0A+=20=20=20When=20there=20is=20a=20difference=20between=20=
string=20and=20character=20literal=20\-sequences,=0A+=20=20=20the=20=
latter=20is=20assumed.=0A=20=20=20=20If=20the=20escape=20sequence=20=
forces=20unibyte,=20return=20eight-bit=20char.=20=20*/=0A=20=0A=20static=20=
int=0A-read_escape=20(Lisp_Object=20readcharfun,=20bool=20stringp)=0A=
+read_escape=20(Lisp_Object=20readcharfun)=0A=20{=0A+=20=20int=20=
modifiers=20=3D=200;=0A+=20again:=20;=0A=20=20=20int=20c=20=3D=20=
READCHAR;=0A-=20=20/*=20\u=20allows=20up=20to=20four=20hex=20digits,=20=
\U=20up=20to=20eight.=20=20Default=20to=20the=0A-=20=20=20=20=20behavior=20=
for=20\u,=20and=20change=20this=20value=20in=20the=20case=20that=20\U=20=
is=20seen.=20=20*/=0A-=20=20int=20unicode_hex_count=20=3D=204;=0A+=20=20=
int=20unicode_hex_count;=0A=20=0A=20=20=20switch=20(c)=0A=20=20=20=20=20=
{=0A=20=20=20=20=20case=20-1:=0A=20=20=20=20=20=20=20end_of_file_error=20=
();=0A=20=0A-=20=20=20=20case=20'a':=0A-=20=20=20=20=20=20return=20=
'\007';=0A-=20=20=20=20case=20'b':=0A-=20=20=20=20=20=20return=20'\b';=0A=
-=20=20=20=20case=20'd':=0A-=20=20=20=20=20=20return=200177;=0A-=20=20=20=
=20case=20'e':=0A-=20=20=20=20=20=20return=20033;=0A-=20=20=20=20case=20=
'f':=0A-=20=20=20=20=20=20return=20'\f';=0A-=20=20=20=20case=20'n':=0A-=20=
=20=20=20=20=20return=20'\n';=0A-=20=20=20=20case=20'r':=0A-=20=20=20=20=20=
=20return=20'\r';=0A-=20=20=20=20case=20't':=0A-=20=20=20=20=20=20return=20=
'\t';=0A-=20=20=20=20case=20'v':=0A-=20=20=20=20=20=20return=20'\v';=0A-=20=
=20=20=20case=20'\n':=0A-=20=20=20=20=20=20return=20-1;=0A-=20=20=20=20=
case=20'=20':=0A-=20=20=20=20=20=20if=20(stringp)=0A-=09return=20-1;=0A-=20=
=20=20=20=20=20return=20'=20';=0A+=20=20=20=20case=20'a':=20c=20=3D=20=
'\a';=20break;=0A+=20=20=20=20case=20'b':=20c=20=3D=20'\b';=20break;=0A+=20=
=20=20=20case=20'd':=20c=20=3D=20127;=20break;=0A+=20=20=20=20case=20=
'e':=20c=20=3D=2027;=20break;=0A+=20=20=20=20case=20'f':=20c=20=3D=20=
'\f';=20break;=0A+=20=20=20=20case=20'n':=20c=20=3D=20'\n';=20break;=0A+=20=
=20=20=20case=20'r':=20c=20=3D=20'\r';=20break;=0A+=20=20=20=20case=20=
't':=20c=20=3D=20'\t';=20break;=0A+=20=20=20=20case=20'v':=20c=20=3D=20=
'\v';=20break;=0A=20=0A=20=20=20=20=20case=20'M':=0A=20=20=20=20=20=20=20=
c=20=3D=20READCHAR;=0A=20=20=20=20=20=20=20if=20(c=20!=3D=20'-')=0A=20=09=
error=20("Invalid=20escape=20character=20syntax");=0A+=20=20=20=20=20=20=
modifiers=20|=3D=20meta_modifier;=0A=20=20=20=20=20=20=20c=20=3D=20=
READCHAR;=0A=20=20=20=20=20=20=20if=20(c=20=3D=3D=20'\\')=0A-=09c=20=3D=20=
read_escape=20(readcharfun,=200);=0A-=20=20=20=20=20=20return=20c=20|=20=
meta_modifier;=0A+=09goto=20again;=0A+=20=20=20=20=20=20break;=0A=20=0A=20=
=20=20=20=20case=20'S':=0A=20=20=20=20=20=20=20c=20=3D=20READCHAR;=0A=20=20=
=20=20=20=20=20if=20(c=20!=3D=20'-')=0A=20=09error=20("Invalid=20escape=20=
character=20syntax");=0A+=20=20=20=20=20=20modifiers=20|=3D=20=
shift_modifier;=0A=20=20=20=20=20=20=20c=20=3D=20READCHAR;=0A=20=20=20=20=
=20=20=20if=20(c=20=3D=3D=20'\\')=0A-=09c=20=3D=20read_escape=20=
(readcharfun,=200);=0A-=20=20=20=20=20=20return=20c=20|=20=
shift_modifier;=0A+=09goto=20again;=0A+=20=20=20=20=20=20break;=0A=20=0A=20=
=20=20=20=20case=20'H':=0A=20=20=20=20=20=20=20c=20=3D=20READCHAR;=0A=20=20=
=20=20=20=20=20if=20(c=20!=3D=20'-')=0A=20=09error=20("Invalid=20escape=20=
character=20syntax");=0A+=20=20=20=20=20=20modifiers=20|=3D=20=
hyper_modifier;=0A=20=20=20=20=20=20=20c=20=3D=20READCHAR;=0A=20=20=20=20=
=20=20=20if=20(c=20=3D=3D=20'\\')=0A-=09c=20=3D=20read_escape=20=
(readcharfun,=200);=0A-=20=20=20=20=20=20return=20c=20|=20=
hyper_modifier;=0A+=09goto=20again;=0A+=20=20=20=20=20=20break;=0A=20=0A=20=
=20=20=20=20case=20'A':=0A=20=20=20=20=20=20=20c=20=3D=20READCHAR;=0A=20=20=
=20=20=20=20=20if=20(c=20!=3D=20'-')=0A=20=09error=20("Invalid=20escape=20=
character=20syntax");=0A+=20=20=20=20=20=20modifiers=20|=3D=20=
alt_modifier;=0A=20=20=20=20=20=20=20c=20=3D=20READCHAR;=0A=20=20=20=20=20=
=20=20if=20(c=20=3D=3D=20'\\')=0A-=09c=20=3D=20read_escape=20=
(readcharfun,=200);=0A-=20=20=20=20=20=20return=20c=20|=20alt_modifier;=0A=
+=09goto=20again;=0A+=20=20=20=20=20=20break;=0A=20=0A=20=20=20=20=20=
case=20's':=0A=20=20=20=20=20=20=20c=20=3D=20READCHAR;=0A-=20=20=20=20=20=
=20if=20(stringp=20||=20c=20!=3D=20'-')=0A+=20=20=20=20=20=20if=20(c=20=
=3D=3D=20'-')=0A+=09{=0A+=09=20=20modifiers=20|=3D=20super_modifier;=0A+=09=
=20=20c=20=3D=20READCHAR;=0A+=09=20=20if=20(c=20=3D=3D=20'\\')=0A+=09=20=20=
=20=20goto=20again;=0A+=09}=0A+=20=20=20=20=20=20else=0A=20=09{=0A=20=09=20=
=20UNREAD=20(c);=0A-=09=20=20return=20'=20';=0A+=09=20=20c=20=3D=20'=20=
';=0A=20=09}=0A-=20=20=20=20=20=20c=20=3D=20READCHAR;=0A-=20=20=20=20=20=20=
if=20(c=20=3D=3D=20'\\')=0A-=09c=20=3D=20read_escape=20(readcharfun,=20=
0);=0A-=20=20=20=20=20=20return=20c=20|=20super_modifier;=0A+=20=20=20=20=
=20=20break;=0A=20=0A=20=20=20=20=20case=20'C':=0A=20=20=20=20=20=20=20c=20=
=3D=20READCHAR;=0A@@=20-2725,21=20+2720,11=20@@=20read_escape=20=
(Lisp_Object=20readcharfun,=20bool=20stringp)=0A=20=09error=20("Invalid=20=
escape=20character=20syntax");=0A=20=20=20=20=20=20=20FALLTHROUGH;=0A=20=20=
=20=20=20case=20'^':=0A+=20=20=20=20=20=20modifiers=20|=3D=20=
ctrl_modifier;=0A=20=20=20=20=20=20=20c=20=3D=20READCHAR;=0A=20=20=20=20=20=
=20=20if=20(c=20=3D=3D=20'\\')=0A-=09c=20=3D=20read_escape=20=
(readcharfun,=200);=0A-=20=20=20=20=20=20if=20((c=20&=20=
~CHAR_MODIFIER_MASK)=20=3D=3D=20'?')=0A-=09return=200177=20|=20(c=20&=20=
CHAR_MODIFIER_MASK);=0A-=20=20=20=20=20=20else=20if=20(!=20ASCII_CHAR_P=20=
((c=20&=20~CHAR_MODIFIER_MASK)))=0A-=09return=20c=20|=20ctrl_modifier;=0A=
-=20=20=20=20=20=20/*=20ASCII=20control=20chars=20are=20made=20from=20=
letters=20(both=20cases),=0A-=09=20as=20well=20as=20the=20non-letters=20=
within=200100...0137.=20=20*/=0A-=20=20=20=20=20=20else=20if=20((c=20&=20=
0137)=20>=3D=200101=20&&=20(c=20&=200137)=20<=3D=200132)=0A-=09return=20=
(c=20&=20(037=20|=20~0177));=0A-=20=20=20=20=20=20else=20if=20((c=20&=20=
0177)=20>=3D=200100=20&&=20(c=20&=200177)=20<=3D=200137)=0A-=09return=20=
(c=20&=20(037=20|=20~0177));=0A-=20=20=20=20=20=20else=0A-=09return=20c=20=
|=20ctrl_modifier;=0A+=09goto=20again;=0A+=20=20=20=20=20=20break;=0A=20=0A=
=20=20=20=20=20case=20'0':=0A=20=20=20=20=20case=20'1':=0A@@=20-2749,31=20=
+2734,30=20@@=20read_escape=20(Lisp_Object=20readcharfun,=20bool=20=
stringp)=0A=20=20=20=20=20case=20'5':=0A=20=20=20=20=20case=20'6':=0A=20=20=
=20=20=20case=20'7':=0A-=20=20=20=20=20=20/*=20An=20octal=20escape,=20as=20=
in=20ANSI=20C.=20=20*/=0A+=20=20=20=20=20=20/*=201-3=20octal=20digits.=20=
=20*/=0A=20=20=20=20=20=20=20{=0A-=09register=20int=20i=20=3D=20c=20-=20=
'0';=0A-=09register=20int=20count=20=3D=200;=0A+=09int=20i=20=3D=20c=20-=20=
'0';=0A+=09int=20count=20=3D=200;=0A=20=09while=20(++count=20<=203)=0A=20=
=09=20=20{=0A-=09=20=20=20=20if=20((c=20=3D=20READCHAR)=20>=3D=20'0'=20=
&&=20c=20<=3D=20'7')=0A-=09=20=20=20=20=20=20{=0A-=09=09i=20*=3D=208;=0A=
-=09=09i=20+=3D=20c=20-=20'0';=0A-=09=20=20=20=20=20=20}=0A-=09=20=20=20=20=
else=0A+=09=20=20=20=20c=20=3D=20READCHAR;=0A+=09=20=20=20=20if=20(c=20<=20=
'0'=20||=20c=20>=20'7')=0A=20=09=20=20=20=20=20=20{=0A=20=09=09UNREAD=20=
(c);=0A=20=09=09break;=0A=20=09=20=20=20=20=20=20}=0A+=09=20=20=20=20i=20=
*=3D=208;=0A+=09=20=20=20=20i=20+=3D=20c=20-=20'0';=0A=20=09=20=20}=0A=20=
=0A=20=09if=20(i=20>=3D=200x80=20&&=20i=20<=200x100)=0A=20=09=20=20i=20=3D=
=20BYTE8_TO_CHAR=20(i);=0A-=09return=20i;=0A+=09c=20=3D=20i;=0A+=09=
break;=0A=20=20=20=20=20=20=20}=0A=20=0A=20=20=20=20=20case=20'x':=0A-=20=
=20=20=20=20=20/*=20A=20hex=20escape,=20as=20in=20ANSI=20C.=20=20*/=0A+=20=
=20=20=20=20=20/*=20One=20or=20more=20hex=20digits.=20=20*/=0A=20=20=20=20=
=20=20=20{=0A=20=09unsigned=20int=20i=20=3D=200;=0A=20=09int=20count=20=3D=
=200;=0A@@=20-2795,16=20+2779,18=20@@=20read_escape=20(Lisp_Object=20=
readcharfun,=20bool=20stringp)=0A=20=09=20=20}=0A=20=0A=20=09if=20(count=20=
<=203=20&&=20i=20>=3D=200x80)=0A-=09=20=20return=20BYTE8_TO_CHAR=20(i);=0A=
-=09return=20i;=0A+=09=20=20i=20=3D=20BYTE8_TO_CHAR=20(i);=0A+=09c=20=3D=20=
i;=0A+=09break;=0A=20=20=20=20=20=20=20}=0A=20=0A-=20=20=20=20case=20=
'U':=0A-=20=20=20=20=20=20/*=20Post-Unicode-2.0:=20Up=20to=20eight=20hex=20=
chars.=20=20*/=0A+=20=20=20=20case=20'U':=09=09=09/*=20Eight=20hex=20=
digits.=20=20*/=0A=20=20=20=20=20=20=20unicode_hex_count=20=3D=208;=0A-=20=
=20=20=20=20=20FALLTHROUGH;=0A-=20=20=20=20case=20'u':=0A+=20=20=20=20=20=
=20goto=20unicode;=0A=20=0A+=20=20=20=20case=20'u':=09=09=09/*=20Four=20=
hex=20digits.=20=20*/=0A+=20=20=20=20=20=20unicode_hex_count=20=3D=204;=0A=
+=20=20=20=20unicode:=0A=20=20=20=20=20=20=20/*=20A=20Unicode=20escape.=20=
=20We=20only=20permit=20them=20in=20strings=20and=20characters,=0A=20=09=20=
not=20arbitrarily=20in=20the=20source=20code,=20as=20in=20some=20other=20=
languages.=20=20*/=0A=20=20=20=20=20=20=20{=0A@@=20-2815,12=20+2801,8=20=
@@=20read_escape=20(Lisp_Object=20readcharfun,=20bool=20stringp)=0A=20=09=
=20=20{=0A=20=09=20=20=20=20c=20=3D=20READCHAR;=0A=20=09=20=20=20=20if=20=
(c=20<=200)=0A-=09=20=20=20=20=20=20{=0A-=09=09if=20(unicode_hex_count=20=
>=204)=0A-=09=09=20=20error=20("Malformed=20Unicode=20escape:=20\\U%x",=20=
i);=0A-=09=09else=0A-=09=09=20=20error=20("Malformed=20Unicode=20escape:=20=
\\u%x",=20i);=0A-=09=20=20=20=20=20=20}=0A+=09=20=20=20=20=20=20error=20=
("Malformed=20Unicode=20escape:=20\\%c%x",=0A+=09=09=20=20=20=20=20=
unicode_hex_count=20=3D=3D=204=20?=20'u'=20:=20'U',=20i);=0A=20=09=20=20=20=
=20/*=20`isdigit'=20and=20`isalpha'=20may=20be=20locale-specific,=20=
which=20we=20don't=0A=20=09=20=20=20=20=20=20=20want.=20=20*/=0A=20=09=20=
=20=20=20int=20digit=20=3D=20char_hexdigit=20(c);=0A@@=20-2831,7=20=
+2813,8=20@@=20read_escape=20(Lisp_Object=20readcharfun,=20bool=20=
stringp)=0A=20=09=20=20}=0A=20=09if=20(i=20>=200x10FFFF)=0A=20=09=20=20=
error=20("Non-Unicode=20character:=200x%x",=20i);=0A-=09return=20i;=0A+=09=
c=20=3D=20i;=0A+=09break;=0A=20=20=20=20=20=20=20}=0A=20=0A=20=20=20=20=20=
case=20'N':=0A@@=20-2880,12=20+2863,31=20@@=20read_escape=20(Lisp_Object=20=
readcharfun,=20bool=20stringp)=0A=20=0A=20=09/*=20character_name_to_code=20=
can=20invoke=20read0,=20recursively.=0A=20=09=20=20=20This=20is=20why=20=
read0's=20buffer=20is=20not=20static.=20=20*/=0A-=09return=20=
character_name_to_code=20(name,=20length,=20readcharfun);=0A+=09c=20=3D=20=
character_name_to_code=20(name,=20length,=20readcharfun);=0A+=09break;=0A=
=20=20=20=20=20=20=20}=0A+=20=20=20=20}=0A=20=0A-=20=20=20=20default:=0A=
-=20=20=20=20=20=20return=20c;=0A+=20=20c=20|=3D=20modifiers;=0A+=20=20=
if=20(c=20&=20ctrl_modifier)=0A+=20=20=20=20{=0A+=20=20=20=20=20=20int=20=
b=20=3D=20c=20&=20~CHAR_MODIFIER_MASK;=0A+=20=20=20=20=20=20/*=20If=20=
the=20base=20char=20is=20in=20the=200x3f..0x5f=20range=20or=20a=20lower=20=
case=0A+=09=20letter,=20drop=20the=20ctrl_modifier=20bit=20and=20=
generate=20a=20C0=20control=0A+=09=20character=20instead.=20=20*/=0A+=20=20=
=20=20=20=20if=20((b=20>=3D=200x3f=20&&=20b=20<=3D=200x5f)=20||=20(b=20=
>=3D=20'a'=20&&=20b=20<=3D=20'z'))=0A+=09{=0A+=09=20=20c=20&=3D=20=
~ctrl_modifier;=0A+=09=20=20if=20(b=20=3D=3D=20'?')=0A+=09=20=20=20=20/*=20=
Special=20case:=20^?=20is=20DEL.=20=20*/=0A+=09=20=20=20=20b=20=3D=20=
127;=0A+=09=20=20else=0A+=09=20=20=20=20/*=20Make=20a=20C0=20control=20=
in=200..31=20by=20clearing=20bits=205=20and=206.=20=20*/=0A+=09=20=20=20=20=
b=20&=3D=200x1f;=0A+=09}=0A+=20=20=20=20=20=20c=20=3D=20b=20|=20(c=20&=20=
CHAR_MODIFIER_MASK);=0A=20=20=20=20=20}=0A+=20=20return=20c;=0A=20}=0A=20=
=0A=20/*=20Return=20the=20digit=20that=20CHARACTER=20stands=20for=20in=20=
the=20given=20BASE.=0A@@=20-3012,7=20+3014,7=20@@=20read_char_literal=20=
(Lisp_Object=20readcharfun)=0A=20=20=20=20=20}=0A=20=0A=20=20=20if=20(ch=20=
=3D=3D=20'\\')=0A-=20=20=20=20ch=20=3D=20read_escape=20(readcharfun,=20=
0);=0A+=20=20=20=20ch=20=3D=20read_escape=20(readcharfun);=0A=20=0A=20=20=
=20int=20modifiers=20=3D=20ch=20&=20CHAR_MODIFIER_MASK;=0A=20=20=20ch=20=
&=3D=20~CHAR_MODIFIER_MASK;=0A@@=20-3066,14=20+3068,21=20@@=20=
read_string_literal=20(char=20stackbuf[VLA_ELEMS=20(stackbufsize)],=0A=20=
=0A=20=20=20=20=20=20=20if=20(ch=20=3D=3D=20'\\')=0A=20=09{=0A-=09=20=20=
ch=20=3D=20read_escape=20(readcharfun,=201);=0A-=0A-=09=20=20/*=20CH=20=
is=20-1=20if=20\=20newline=20or=20\=20space=20has=20just=20been=20seen.=20=
=20*/=0A-=09=20=20if=20(ch=20=3D=3D=20-1)=0A+=09=20=20ch=20=3D=20=
READCHAR;=0A+=09=20=20switch=20(ch)=0A=20=09=20=20=20=20{=0A+=09=20=20=20=
=20case=20's':=0A+=09=20=20=20=20=20=20ch=20=3D=20'=20';=0A+=09=20=20=20=20=
=20=20break;=0A+=09=20=20=20=20case=20'=20':=0A+=09=20=20=20=20case=20=
'\n':=0A=20=09=20=20=20=20=20=20if=20(p=20=3D=3D=20read_buffer)=0A=20=09=09=
cancel=20=3D=20true;=0A=20=09=20=20=20=20=20=20continue;=0A+=09=20=20=20=20=
default:=0A+=09=20=20=20=20=20=20UNREAD=20(ch);=0A+=09=20=20=20=20=20=20=
ch=20=3D=20read_escape=20(readcharfun);=0A+=09=20=20=20=20=20=20break;=0A=
=20=09=20=20=20=20}=0A=20=0A=20=09=20=20int=20modifiers=20=3D=20ch=20&=20=
CHAR_MODIFIER_MASK;=0A@@=20-3085,19=20+3094,13=20@@=20=
read_string_literal=20(char=20stackbuf[VLA_ELEMS=20(stackbufsize)],=0A=20=
=09=20=20=20=20force_multibyte=20=3D=20true;=0A=20=09=20=20else=09=09/*=20=
I.e.=20ASCII_CHAR_P=20(ch).=20=20*/=0A=20=09=20=20=20=20{=0A-=09=20=20=20=
=20=20=20/*=20Allow=20`\C-=20'=20and=20`\C-?'.=20=20*/=0A-=09=20=20=20=20=
=20=20if=20(modifiers=20=3D=3D=20CHAR_CTL)=0A+=09=20=20=20=20=20=20/*=20=
Allow=20`\C-SPC'=20and=20`\^SPC'.=20=20This=20is=20done=20here=20because=0A=
+=09=09=20the=20literals=20?\C-SPC=20and=20?\^SPC=20(rather=20=
inconsistently)=0A+=09=09=20yield=20('=20'=20|=20CHAR_CTL);=20see=20=
bug#55738.=20=20*/=0A+=09=20=20=20=20=20=20if=20(modifiers=20=3D=3D=20=
CHAR_CTL=20&&=20ch=20=3D=3D=20'=20')=0A=20=09=09{=0A-=09=09=20=20if=20=
(ch=20=3D=3D=20'=20')=0A-=09=09=20=20=20=20{=0A-=09=09=20=20=20=20=20=20=
ch=20=3D=200;=0A-=09=09=20=20=20=20=20=20modifiers=20=3D=200;=0A-=09=09=20=
=20=20=20}=0A-=09=09=20=20else=20if=20(ch=20=3D=3D=20'?')=0A-=09=09=20=20=
=20=20{=0A-=09=09=20=20=20=20=20=20ch=20=3D=20127;=0A-=09=09=20=20=20=20=20=
=20modifiers=20=3D=200;=0A-=09=09=20=20=20=20}=0A+=09=09=20=20ch=20=3D=20=
0;=0A+=09=09=20=20modifiers=20=3D=200;=0A=20=09=09}=0A=20=09=20=20=20=20=20=
=20if=20(modifiers=20&=20CHAR_SHIFT)=0A=20=09=09{=0Adiff=20--git=20=
a/test/src/lread-tests.el=20b/test/src/lread-tests.el=0Aindex=20=
47351c1d11..59d5ca076f=20100644=0A---=20a/test/src/lread-tests.el=0A+++=20=
b/test/src/lread-tests.el=0A@@=20-317,4=20+317,14=20@@=20lread-misc=0A=20=
=20=20(should=20(equal=20(read-from-string=20"#_")=0A=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20'(##=20.=202))))=0A=20=0A+(ert-deftest=20=
lread-misc-2=20()=0A+=20=20;;=20?\LF=20should=20produce=20LF=20(only=20=
inside=20string=20literals=20do=20we=20ignore=20\LF).=0A+=20=20(should=20=
(equal=20(read-from-string=20"?\\\n")=20'(?\n=20.=203)))=0A+=20=20=
(should=20(equal=20(read-from-string=20"\"a\\\nb\"")=20'("ab"=20.=206)))=0A=
+=20=20;;=20The=20Control=20modifier=20constructs=20should=20be=20=
idempotent.=0A+=20=20(should=20(equal=20?\C-\C-x=20?\C-x))=0A+=20=20=
(should=20(equal=20?\^\^x=20?\C-x))=0A+=20=20(should=20(equal=20?\C-\^x=20=
?\C-x))=0A+=20=20(should=20(equal=20?\^\C-x=20?\C-x)))=0A+=0A=20;;;=20=
lread-tests.el=20ends=20here=0A--=20=0A2.32.0=20(Apple=20Git-132)=0A=0A=

--Apple-Mail=_B2E9BE98-FFA7-4486-AB62-58F74E38D9E2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 May 2022 11:33:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 31 07:33:37 2022
Received: from localhost ([127.0.0.1]:46844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nw081-0004dh-8S
	for submit <at> debbugs.gnu.org; Tue, 31 May 2022 07:33:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:53644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nw080-0004dZ-3Q
 for submit <at> debbugs.gnu.org; Tue, 31 May 2022 07:33:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55622)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mattiase@HIDDEN>) id 1nw07y-0007dP-SH
 for bug-gnu-emacs@HIDDEN; Tue, 31 May 2022 07:33:34 -0400
Received: from mail205c50.megamailservers.eu ([91.136.10.215]:51868
 helo=mail193c50.megamailservers.eu)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mattiase@HIDDEN>) id 1nw07v-0004rJ-RD
 for bug-gnu-emacs@HIDDEN; Tue, 31 May 2022 07:33:34 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1653996797;
 bh=lXJBVtPKQluBo+W4Fz1qewujIWUMhRhtRAxi4wTwaxE=;
 h=From:Subject:Date:To:From;
 b=NeAIZs7oOp83xhJY+Y+V2un0Sw4rej5oqb+Sr99FAcDQFis+Jow/cOaxe4niIEtPk
 cxqBBYo+EBY2zCLJhVnm9nLAipUuLF2tz/03yliccU61TgYae7zvcZbLeUFLjnhPmR
 1flQvXQBmEh6KvBJpcO0G4H1k6xsB+kJ2g7ZdaBw=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail193c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 24VBX9up003744
 for <bug-gnu-emacs@HIDDEN>; Tue, 31 May 2022 11:33:16 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: character escape bugs in the reader
Message-Id: <20BC6F3C-1C72-4469-946D-8B9583C73024@HIDDEN>
Date: Tue, 31 May 2022 13:33:09 +0200
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F17.6295FCFC.0050, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
Received-SPF: softfail client-ip=91.136.10.215; envelope-from=mattiase@HIDDEN;
 helo=mail193c50.megamailservers.eu
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_SOFTFAIL=0.665, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Some character escape oddities observed in the Emacs reader:

1. ?\LF =3D> -1

This is clearly a bug (no character literal should be -1) and an =
artefact of the underlying implementation.
The correct value should be 10.
(In string literals \LF is ignored entirely, as documented.)

2. The Control modifier (\C- or \^) is nonidempotent. For example,
?\C-a =3D> 1
?\C-\C-a =3D> #x4000001

Similarly, "\C-\C-a" signals a reader error.

This too is an artefact of the implementation. The correct value should =
be as if only a single control modifier were present, eg. ?\C-\C-a =3D> =
1.

3. Control-space yields NUL in strings but not as a char literal:
"\C-SPC" =3D> "NUL"
"\^SPC"  =3D> "NUL"
?\C-SPC =3D> #x4000020
?\^SPC  =3D> #x4000020

Emacs takes a conservative stance and normally only generates control =
characters from upper and lower case ASCII letters and the symbols =
?@[\]^_ because that agrees with custom and suffices for all C0 =
controls. Since most terminals also map Control-SPC to NUL, it would be =
more consistent to do so in both string and character literals.

The first two bugs are straightforward to fix (I have a patch) and doing =
so is unlikely to cause any harm.
I honestly don't think making ?\C-SPC =3D> 0 would either (because of =
how key binding words) but we should investigate further just in case.





Acknowledgement sent to Mattias Engdegård <mattiase@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55738; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Jun 2022 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.